Skip to main content
GET
/
kyc
/
mca
/
company
/
master-data
/
search
Search Company
curl --request GET \
  --url https://test-api.sandbox.co.in/kyc/mca/company/master-data/search \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://test-api.sandbox.co.in/kyc/mca/company/master-data/search"

headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://test-api.sandbox.co.in/kyc/mca/company/master-data/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1783319160519,
  "data": {
    "@entity": "in.co.sandbox.kyc.mca.company_master_data_search_response",
    "records": [
      {
        "@entity": "in.co.sandbox.kyc.mca.company_master_data_search_result",
        "cin": "U72900GJ2015PTC082637",
        "company_name": "QUICKO INFOSOFT PRIVATE LIMITED"
      }
    ],
    "limit": 5,
    "offset": 0,
    "count": 1,
    "has_more": false
  },
  "transaction_id": "5979f864-959f-4cf3-9c24-ecc9f2bd6431"
}
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Content-Type
enum<string>

Media type of the request body.

Available options:
application/json
x-accept-cache
boolean

Optional cache-control header. For cache behavior details, refer to Response Caching.

Query Parameters

cin
string

Corporate Identification Number (CIN) or Limited Liability Partnership Identification Number (LLPIN).

company_name
string

Response

code
integer
required

HTTP-like status code for the API response

timestamp
integer
required

Response timestamp in epoch milliseconds

data
object[]
required
transaction_id
string
required

Unique transaction identifier for the API request